Home > Failed To > Error Failed To Build Gem Native Extension Mysql2

Error Failed To Build Gem Native Extension Mysql2

Contents

no checking for main() in -lmygcc... Browse other questions tagged mysql ruby or ask your own question. With the new ruby/rvm version compass built properly. –adosaiguas May 7 '14 at 23:19 2 Thanks for this, very helpful. How to find all macOS applications which are not from the App Store? have a peek here

yes checking for rb_thread_call_without_gvl() in ruby/thread.h... Why do CDs and DVDs fill up from the centre outwards? asked 2 years ago viewed 1655 times active 2 years ago Linked 96 Ruby Gem install Json fails on Mavericks and Xcode 5.1 - unknown argument: '-multiply_definedsuppress' Related 67MySQL Install: ERROR: Posted in Databases, osx, Ruby on RailsLeave a comment Post navigation Previous PostUnix Shells by ExampleNext PostThe Martian Principles for Successful Enterprise Systems Leave a Reply Cancel reply Your email address

Error Failed To Build Gem Native Extension Mysql2

Bookmark the permalink. Once I got that on my PATH, I was able to install it without a problem. –justspamjustin Jan 28 '14 at 14:02 2 I had to sudo locate mysql_config to I do a manual install using the following command.

The solution is to use xcode-select but it took me a few tries to find out what I was supposed to use as path without Xcode installed: sudo xcode-select -switch /usr/lib/ compiling ClosurePool.c compiling DataConverter.c DataConverter.c:43:1: warning: control may reach end of non-void function [-Wreturn-type] } ^ 1 warning generated. How are water vapors not visible? "How are you spending your time on the computer?" Can this number be written in (3^x) - 1 format? "error: Failed To Build Gem Native Extension" Mac no checking for ffi.h in /usr/local/include,/usr/include/ffi...

How to explain extreme human dimorphism? Error: Failed To Build Gem Native Extension Rails no checking for rb_thread_blocking_region()... What is this blue thing in a photograph of a bright light? Therefore, I just installed mysql-connector-c.

more stack exchange communities company blog Stack Exchange Inbox Reputation and Badges sign up log in tour help Tour Start here for a quick overview of the site Help Center Detailed Extconf.rb Failed Join them; it only takes a minute: Sign up gem install mysql: Failed to build gem native extension (Mac Lion) up vote 3 down vote favorite 3 I installed MySQL 5.5.27 How to remove blank page caused by long list tabular What do you call this alternating melodic pattern? osxfuse.

Error: Failed To Build Gem Native Extension Rails

Browse other questions tagged ruby osx terminal compass-sass or ask your own question. share|improve this answer edited Apr 22 '15 at 7:14 answered Apr 22 '15 at 5:57 lepix 3,24131735 add a comment| up vote 2 down vote In ubuntu 14.04, while execute apt-get Error Failed To Build Gem Native Extension Mysql2 You may need configuration options. Failed To Build Gem Native Extension Ubuntu So first I checked that cc was working: $ cc --version Apple LLVM version 4.2 (clang-425.0.28) (based on LLVM 3.2svn) Target: x86_64-apple-darwin12.4.0 Thread model: posix Then since just calling cc was

I upgraded ruby installation through rbenv to 2.2.0, made that the global default ruby installation, and this issue was fixed. navigate here so I tried: $ brew install gcc46 But this also failed due to a segmentation fault... ¯\_(ツ)_/¯. In my case CentOS 6.0 –Onema Mar 15 '12 at 18:20 add a comment| up vote 4 down vote on OSX mountain Lion: If you have brew installed, then brew install Thanks! –Dan Breslau Feb 26 '10 at 21:37 1 yep, this worked: 'sudo apt-get install ruby-dev libmysqlclient16-dev' then 'sudo gem install mysql' –Travis R Sep 7 '10 at 23:47 | Failed To Build Gem Native Extension Json

Origin of "queer as a clockwork orange" Compute the Median I've broken my new MacBook Pro (with touchbar) like this, do I have to repair it? See: stackoverflow.com/a/21726231/1143830 –Ed Halferty Aug 31 '15 at 22:15 It worked for me on 10.10.5! –Raphael Onofre Sep 26 '15 at 4:09 add a comment| up vote 3 down no checking for main() in -lsocket... Check This Out asked 5 years ago viewed 29267 times active 2 months ago Get the weekly newsletter!

Manager of pid-file quit without updating file. –Maze Mar 23 '11 at 22:57 before any operation you have to execute the "mysql_install_db" command and follow the instructions –ALoR Mar Error Failed To Build Gem Native Extension Nokogiri Lim 302210 add a comment| Your Answer draft saved draft discarded Sign up or log in Sign up using Google Sign up using Facebook Sign up using Email and Password current community chat Stack Overflow Meta Stack Overflow your communities Sign up or log in to customize your list.

I comes down to this command: ARCHFLAGS="-arch x86_64" gem install mysql -- \ --with-mysql-config=/path/to/mysql_config but you need to find the real value for /path/to/mysql_config.

compiling DynamicLibrary.c compiling ffi.c compiling Function.c Function.c:479:33: warning: incompatible pointer types passing 'VALUE (void *)' to parameter of type 'void *(*)(void *)' [-Wincompatible-pointer-types] rb_thread_call_with_gvl(callback_with_gvl, &cb); ^~~~~~~~~~~~~~~~~ Function.c:102:46: note: passing argument to gem install mysql2 -v 'x.x.x' -- --srcdir=/usr/local/mysql/include share|improve this answer answered Jan 8 '16 at 11:41 Aamir 3,89542038 add a comment| up vote 0 down vote If you used "brew" to Try installing it via homebrew: brew install mysql or install it via macports or fink or whatever you prefer and then try again with: gem install mysql2 share|improve this answer edited Install Ruby-dev Mac With apt-get it worked fine!

Nevertheless, you’ve got my upvote as your answer just solved my problem. no checking for mysql_query() in -lmysqlclient... The gem is successfully installed. this contact form This could take a while… Successfully installed mysql-2.7 1 gem installed share|improve this answer edited Jun 21 '13 at 1:29 answered Feb 3 '10 at 16:36 Trevoke 3,33811836 This

Use xcode-select -switch , or see the xcode-select manpage (man xcode-select) for further information. no *** extconf.rb failed *** Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers. Different tasks, same characters Origin of "queer as a clockwork orange" Compute the Median How are water vapors not visible? So, I then tried installing compass by hand, just to see if it would give the same ffi error: $ gem install compass But to my surprise, I got a totally

Please note: JavaScript is required to post comments. What Latin word could I use to refer to a grocery store? How does changing metrics help to find solutions to a partial differential equation? Required fields are marked * Name * Email * Website CAPTCHA Code * Comment You may use these HTML tags and attributes:

The best thing to do is to install MySQL with Homebrew (in the post I use examples from a MacPorts install, but that's because Homebrew wasn't mature when I wrote it). It will complete the installation of the components. Even if other gems installed fine. What is the XP and difficulty of an encounter when a monster can transform?

You may need configuration options.